PacketTags
Date: 2016-06-23

org.bouncycastle.bcpg

## Interface PacketTags

- All Known Implementing Classes:
    BCPGInputStream, BCPGOutputStream, CompressedDataPacket, ContainedPacket, ExperimentalPacket, InputStreamPacket, LiteralDataPacket, MarkerPacket, ModDetectionCodePacket, OnePassSignaturePacket, Packet, PublicKeyEncSessionPacket, PublicKeyPacket, PublicSubkeyPacket, SecretKeyPacket, SecretSubkeyPacket, SignaturePacket, SymmetricEncDataPacket, SymmetricEncIntegrityPacket, SymmetricKeyEncSessionPacket, TrustPacket, UserAttributePacket, UserIDPacket

      public interface PacketTags

  Basic PGP packet tag types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMPRESSED_DATA`
    `static int` | `EXPERIMENTAL_1`
    `static int` | `EXPERIMENTAL_2`
    `static int` | `EXPERIMENTAL_3`
    `static int` | `EXPERIMENTAL_4`
    `static int` | `LITERAL_DATA`
    `static int` | `MARKER`
    `static int` | `MOD_DETECTION_CODE`
    `static int` | `ONE_PASS_SIGNATURE`
    `static int` | `PUBLIC_KEY`
    `static int` | `PUBLIC_KEY_ENC_SESSION`
    `static int` | `PUBLIC_SUBKEY`
    `static int` | `RESERVED`
    `static int` | `SECRET_KEY`
    `static int` | `SECRET_SUBKEY`
    `static int` | `SIGNATURE`
    `static int` | `SYM_ENC_INTEGRITY_PRO`
    `static int` | `SYMMETRIC_KEY_ENC`
    `static int` | `SYMMETRIC_KEY_ENC_SESSION`
    `static int` | `TRUST`
    `static int` | `USER_ATTRIBUTE`
    `static int` | `USER_ID`

- - ### Field Detail

    - #### RESERVED

          static final int RESERVED

      See Also:
        Constant Field Values

    - #### PUBLIC_KEY_ENC_SESSION

          static final int PUBLIC_KEY_ENC_SESSION

      See Also:
        Constant Field Values

    - #### SIGNATURE

          static final int SIGNATURE

      See Also:
        Constant Field Values

    - #### SYMMETRIC_KEY_ENC_SESSION

          static final int SYMMETRIC_KEY_ENC_SESSION

      See Also:
        Constant Field Values

    - #### ONE_PASS_SIGNATURE

          static final int ONE_PASS_SIGNATURE

      See Also:
        Constant Field Values

    - #### SECRET_KEY

          static final int SECRET_KEY

      See Also:
        Constant Field Values

    - #### PUBLIC_KEY

          static final int PUBLIC_KEY

      See Also:
        Constant Field Values

    - #### SECRET_SUBKEY

          static final int SECRET_SUBKEY

      See Also:
        Constant Field Values

    - #### COMPRESSED_DATA

          static final int COMPRESSED_DATA

      See Also:
        Constant Field Values

    - #### SYMMETRIC_KEY_ENC

          static final int SYMMETRIC_KEY_ENC

      See Also:
        Constant Field Values

    - #### MARKER

          static final int MARKER

      See Also:
        Constant Field Values

    - #### LITERAL_DATA

          static final int LITERAL_DATA

      See Also:
        Constant Field Values

    - #### TRUST

          static final int TRUST

      See Also:
        Constant Field Values

    - #### USER_ID

          static final int USER_ID

      See Also:
        Constant Field Values

    - #### PUBLIC_SUBKEY

          static final int PUBLIC_SUBKEY

      See Also:
        Constant Field Values

    - #### USER_ATTRIBUTE

          static final int USER_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SYM_ENC_INTEGRITY_PRO

          static final int SYM_ENC_INTEGRITY_PRO

      See Also:
        Constant Field Values

    - #### MOD_DETECTION_CODE

          static final int MOD_DETECTION_CODE

      See Also:
        Constant Field Values

    - #### EXPERIMENTAL_1

          static final int EXPERIMENTAL_1

      See Also:
        Constant Field Values

    - #### EXPERIMENTAL_2

          static final int EXPERIMENTAL_2

      See Also:
        Constant Field Values

    - #### EXPERIMENTAL_3

          static final int EXPERIMENTAL_3

      See Also:
        Constant Field Values

    - #### EXPERIMENTAL_4

          static final int EXPERIMENTAL_4

      See Also:
        Constant Field Values